smbios_memarray_t Struct Reference
Public interface » ID macros » SMBIOS structures

physical memory array (consists of several memory devices) More...

`#include <hd.h>`

## Data Fields

union u_hd_smbios_t * | next
hd_smbios_type_t | type
int | data_len
unsigned char * | data
str_list_t * | strings
int | handle
hd_id_t | location
| memory device location
hd_id_t | use
| memory usage
hd_id_t | ecc
| ECC types.
unsigned | max_size
| maximum memory size in kB
int | error_handle
| points to error info record; 0xfffe: not supported, 0xffff: no error
unsigned | slots
| slots or sockets for this device

## Detailed Description

physical memory array (consists of several memory devices)

The documentation for this struct was generated from the following file:

- hd.h